Delete a holder application
Roles
Analytics Events
/v1/holder/applications/{applicationId}Deletes an existing holder application. Once deleted, any associated application instances will no longer be able to interact with the MATTR VII platform.
Analytic events
- CREDENTIAL_HOLDER_APPLICATION_DELETE_START
- CREDENTIAL_HOLDER_APPLICATION_DELETE_SUCCESS
- CREDENTIAL_HOLDER_APPLICATION_DELETE_FAIL
Authorization
bearerAuth In: header
Path Parameters
Unique identifier for a registered holder application.
uuidResponse Body
application/json
curl -X DELETE "https://example.vii.au01.mattr.global/v1/holder/applications/281d20b3-42a3-40dd-b29a-115ff32b02b7"{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Update a holder application PUT
Updates an existing holder application. ### **Analytic events** * CREDENTIAL_HOLDER_APPLICATION_UPDATE_START * CREDENTIAL_HOLDER_APPLICATION_UPDATE_SUCCESS * CREDENTIAL_HOLDER_APPLICATION_UPDATE_FAIL
Retrieve all registered holder application instances GET
Retrieves all registered instances of a holder application. This can be used by application owners to view all registered instances for a given holder application. ### **Analytic events** * CREDENTIAL_HOLDER_APPLICATION_INSTANCE_RETRIEVE_LIST_START * CREDENTIAL_HOLDER_APPLICATION_INSTANCE_RETRIEVE_LIST_SUCCESS * CREDENTIAL_HOLDER_APPLICATION_INSTANCE_RETRIEVE_LIST_FAIL